> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View validation errors for a Settlement

> Retrieve information about failed or partially matched settlements

If your Settlement's `Status` is `PARTIALLY_MATCHED` or `FAILED`, this endpoint returns information about the errors in your CSV file's footer or transaction lines.

### Path parameters

<ParamField path="SettlementId" type="string" required>
  The unique identifier of the Settlement object.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - OK" defaultOpen>
    <ResponseField name="FooterErrors" type="array (object)">
      The errors encountered in the CSV footer.

      <Expandable title="properties">
        <ResponseField name="FooterName" type="string">
          The footer line which produced the error.
        </ResponseField>

        <ResponseField name="Code" type="string">
          The type of error encountered.
        </ResponseField>

        <ResponseField name="Description" type="string">
          A description of the error.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="LinesErrors" type="array (object)">
      The errors encountered in the CSV's transaction lines.

      <Expandable title="properties">
        <ResponseField name="ExternalProviderReference" type="string">
          The unique identifier of the transaction at the provider level.
        </ResponseField>

        <ResponseField name="ExternalTransactionType" type="string">
          Response values: `PAYMENT`, `REFUND`, `DISPUTE`

          The type of the transaction.
        </ResponseField>

        <ResponseField name="Code" type="string">
          The type of error encountered.
        </ResponseField>

        <ResponseField name="Description" type="string">
          A description of the error.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 theme={null}
  {
    "FooterErrors": [
      {
        "FooterName": "TotalNetSettlementAmount",
        "Code": "SETTLEMENTAMOUNT_NOT_MATCH",
        "Description": "TotalNetSettlement amount 1000 EUR is not matching to declared amount 9000 EUR."
      }
    ],
    "LinesErrors": [
      {
        "ExternalProviderReference": "auth-stripe-76f0baab-3d89-47e4-85f6-417864588055",
        "ExternalTransactionType": "REFUND",
        "Code": "MATCH_REF_NOT_FOUND",
        "Description": "ExternalProviderReference not found for any existing Intent in the system"
      }
    ]
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST theme={null}
  // GET has no body parameters
  ```

  ```java Java theme={null}
  // in this example, Pagination is null
  SettlementValidation validation = api.getSettlementApi().getValidations(settlement.getSettlementId(), null);
  ```

  ```c# .NET theme={null}
  await Api.ApiSettlements.GetValidations(settlement.SettlementId);
  ```

  ```javascript NodeJS theme={null}
   api.Settlements.getValidations(settlement.SettlementId)
  ```

  ```php PHP theme={null}
  _api->Settlements->GetValidations($settlement->SettlementId, $pagination);
  ```

  ```py Python theme={null}
  validations = SettlementValidation.get(settlement.settlement_id, page=1, per_page=10)
  ```

  ```ruby Ruby theme={null}
  MangoPay::Settlement.get_validations(@settlement['SettlementId'], {page: 1, per_page: 10})
  ```
</RequestExample>
